MediaWiki:Vector.css: Difference between revisions

From Forklift Certified Video Games
Jump to navigation Jump to search
Line 15: Line 15:
#p-tb,
#p-tb,
#p-tb-label,
#p-tb-label,
#bodyContent,
#mw-panel {  
#mw-panel {  
   background-color: #1e1e1e;
   background-color: #1e1e1e;
   color: #e0e0e0  
   color: #e0e0e0;
   font-family: 'Geologica';  
   font-family: 'Geologica';  
}
}
Line 34: Line 35:




/* #mw-head { width: 100%; background-color: #EAE4D5; } */
/* Borders */
#mw-head-base { border-top: 1px solid #000000; }
#mw-head-base {
 
  border-top: 1px solid #000000;
.mw-heading1, h1, .mw-heading2, h2 { border-bottom: 1px solid #000000; }
}
.mw-heading1,
h1,
.mw-heading2,
h2 {
  border-bottom: 1px solid #000000;
}




Line 61: Line 68:


/* #content { background-color: #ded5ba; } */
/* #content { background-color: #ded5ba; } */
#bodyContent { background-color: rgba(255, 132, 32, 0); }
 
#firstHeading { background-color: rgba(255, 132, 32, 0); }
#firstHeading { background-color: rgba(255, 132, 32, 0); }
.oo-ui-panelLayout-framed { border: 1px solid #000000; }
.oo-ui-panelLayout-framed { border: 1px solid #000000; }
Line 69: Line 76:


/* Footer */
/* Footer */
#footer { background: none; }
#footer { background: none; }
#footer-icons a { background: none; }
#footer-icons a { background: none; }
.mw-footer { min-height: 100px; margin-top: 20px; padding-left: 0; }
.mw-footer { min-height: 100px; margin-top: 20px; padding-left: 0; }
.cdx-button { border: none; }
.cdx-button { border: none; }
Line 92: Line 96:


.vector-menu-tabs .selected a, .vector-menu-tabs .selected a:visited {
.vector-menu-tabs .selected a, .vector-menu-tabs .selected a:visited {
     color: #0645ad; }
     color: #e0e0e0; }


/* .vector-menu-tabs { border-top: 1px solid #000000; border-left: 1px solid #000000; border-right: 1px solid #000000;} */
/* .vector-menu-tabs { border-top: 1px solid #000000; border-left: 1px solid #000000; border-right: 1px solid #000000;} */
Line 107: Line 111:
.vector-menu-tabs, .vector-menu-tabs a, #mw-head .vector-menu-dropdown .vector-menu-heading { background-image: none; }
.vector-menu-tabs, .vector-menu-tabs a, #mw-head .vector-menu-dropdown .vector-menu-heading { background-image: none; }


/* Infotable customization */
/* Table customization */


table.infotable {border: 1px solid #000000;}
table.infotable {border: 1px solid #000000;}

Revision as of 22:54, 7 July 2025

/* All CSS here will be loaded for users of the Vector skin */

@import url('https://fonts.googleapis.com/css2?family=Geologica:[email protected]&display=swap');



/* Set background and text color */

body,
#p-navigation,
#content,
#mw-head,
#mw-page-base,
#p-logo,
#p-tb,
#p-tb-label,
#bodyContent,
#mw-panel { 
  background-color: #1e1e1e;
  color: #e0e0e0;
  font-family: 'Geologica'; 
}

/* Links */
a {
    color: #80b3ff;
}
a:visited {
    color: #c58aff;
}
a:hover {
    color: #ffffff;
}



/* Borders */
#mw-head-base {
  border-top: 1px solid #000000;
}
.mw-heading1,
h1,
.mw-heading2,
h2 {
  border-bottom: 1px solid #000000;
}


/* Hovering effect for icons on main page */

.main-page-icons { 
  margin-right: 10px;
} 

.main-page-icons:hover { 
  width: 100%;
  height: auto;
  max-width: 100%;
  opacity: 0.7;
  cursor: pointer;
  margin-right: 10px;
} 


/* Site backgrounds */

.mw-body { background-color: #F2F2F2; margin-right: 15px; border: 1px solid #000000; }

/* #content { background-color: #ded5ba; } */

#firstHeading { background-color: rgba(255, 132, 32, 0); }
.oo-ui-panelLayout-framed { border: 1px solid #000000; }

#catlinks { background-color: #e8e1d5; border: 1px solid #000000;}
#p-tb .body { background-color: #e8e1d5; }

/* Footer */
#footer { background: none; }
#footer-icons a { background: none; }
.mw-footer { min-height: 100px; margin-top: 20px; padding-left: 0; }
.cdx-button { border: none; }


/* Top menu tabs */

.vector-legacy-sidebar .vector-menu-portal .vector-menu-heading { background-image: none; }

.vector-menu-tabs, .vector-menu-tabs a, .vector-menu-dropdown h3 {
    background-image: none; }

.vector-menu-tabs li {
    background-image: none; }

.vector-menu-tabs .selected {
    background: none; background-color: rgba(209, 191, 167, 0.69); }

.vector-menu-tabs .selected a, .vector-menu-tabs .selected a:visited {
    color: #e0e0e0; }

/* .vector-menu-tabs { border-top: 1px solid #000000; border-left: 1px solid #000000; border-right: 1px solid #000000;} */



/* Dropdown menu */

.vector-menu-dropdown .vector-menu-content {
 background-image: none;
 background-color: rgba(209, 191, 167);
 border: 1px solid #000000; }

.vector-menu-tabs, .vector-menu-tabs a, #mw-head .vector-menu-dropdown .vector-menu-heading { background-image: none; }

/* Table customization */

table.infotable {border: 1px solid #000000;}
.infotable tr th,
.infotable tr td {
  border: none;
  vertical-align: top;
}

table.main-page-content-bg {
  background-image: url('https://certified.wiki/images/a/a3/Main_page_content_bg.jpg');
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  min-width: 550px; 
}